/*
Теоретичні питання:

1. Описати своїми словами навіщо потрібні функції у програмуванні.
 Функції необхідні, щоб не повторювати код, тобто ми один раз прописуємо (оголошуємо) функцію і далі визиваємо її по ходу написання коду.
 Одну частинку коду маємо змогу визивати впродовж написання лише прописавши одну стрічку.
2. Описати своїми словами, навіщо у функцію передавати аргумент.
 Агргументи необхідні, щоб активувати наші параметри, тобто значення аргументів переходять в значення параметрів і код може виконуватися підставляючи дані значення. Слід зауважити, що якщо наприклад параметри a, b, c, а значення агругмента передали тільки для a, b, то с буде underfined.
3. Що таке оператор return та як він працює всередині функції?
 оператор return завершує виконання функуції і виводить її значення. Якщо прописати просто return без виразу виводу, то функцыя поверне underfined.
*/

/*
Реалізувати функцію, яка виконуватиме математичні операції з введеними користувачем числами. Завдання має бути виконане на чистому Javascript без використання бібліотек типу jQuery або React.

Технічні вимоги:
Отримати за допомогою модального вікна браузера два числа.
Отримати за допомогою модального вікна браузера математичну операцію, яку потрібно виконати. Сюди може бути введено +, -, *, /.
Створити функцію, в яку передати два значення та операцію.
Вивести у консоль результат виконання функції.
*/

let number1;
while (isNaN(number1)) {
  number1 = +prompt('Введіть перше число');
}
let number2;
while (isNaN(number2)) {
  number2 = +prompt('Введіть друге число');
}
let mathOperation = prompt('Введіть математичну операцію +, -, *, /');

function getCount(number1, number2, mathOperation) {
  let result;
  switch (mathOperation) {
    case '+':
      result = number1 + number2;
      return result;
    case '-':
      result = number1 - number2;
      return result;
    case '*':
      result = number1 * number2;
      return result;
    case '/':
      result = number1 / number2;
      return result;
    default:
      alert('Невірна математична операція');
  }
}

result1 = getCount(number1, number2, mathOperation);
console.log(result1);
